summaryrefslogtreecommitdiffabout
path: root/delta.jscad
authorMichael Krelin <hacker@klever.net>2016-01-06 21:37:49 (UTC)
committer Michael Krelin <hacker@klever.net>2016-01-06 21:37:49 (UTC)
commit269a2b89e1e42c5f0578d27ff373c009eae972aa (patch) (side-by-side diff)
tree46ccfb6ec64fb409e9e8f102a2fb92cebfc9438b /delta.jscad
parent098dfbac09fa3867e8b3d280abd2e3ef08dd616c (diff)
downloadredelta-269a2b89e1e42c5f0578d27ff373c009eae972aa.zip
redelta-269a2b89e1e42c5f0578d27ff373c009eae972aa.tar.gz
redelta-269a2b89e1e42c5f0578d27ff373c009eae972aa.tar.bz2
tolerances update
Diffstat (limited to 'delta.jscad') (more/less context) (show whitespace changes)
-rw-r--r--delta.jscad3
1 files changed, 1 insertions, 2 deletions
diff --git a/delta.jscad b/delta.jscad
index 758824b..5be6715 100644
--- a/delta.jscad
+++ b/delta.jscad
@@ -1,102 +1,101 @@
var PRINT = {
layer_height: 0.2,
extrusion_width: 0.4,
- fit_tolerance: 0.4,
- slide_tolerance: 0.2
+ fit_tolerance: .2, slide_tolerance: .4, play_tolerance: .6
};
var CONFIG = {
hotend: {
h: 62.4, // full assembly height
groove: { d:12, h:6 }, // grove diameter and height
ungroove: { d:16, above:3.7, below: 3+4 }
},
effector: {
h: 6,
o: 20, // offset to the rod mounts line
rods_apart: 40,
cone: { shell: 1, angle: Math.PI/6 },
rodend: {
joint_w: 7, // thickness of the joint
screw_l: 20-1, // 20 with the head
screw_d: 3
},
hotend: { margin: 2 },
hinge: {
d: 3, w: 5, margin: 2.5,
h: 1+(6+3.7)/2, // elevation + grove + top
e: 1 // elevation
},
clamp: {
shell: 4.6,
d: 3,
margin: 2.5,
split: 0.6
},
mswitch: {
size: [ 19.8, 6, 10 ],
screw: {
d: 2, h: 10/2-2,
s: 1.3, // screw shell
o: [-9.5/2,9.5/2].map(function(x) {
return -19.8/2+x;
})
},
switch_x: 2.5
},
guide: {
width: 3, height: 5+1, length: 6
},
fanholder: {
r: 30,
screw: { d: 3, m: 2.5/*margin*/ },
w: 3
}
},
nut: { h: 2.3, w: 5.5 }
};
var U = {
hypotenuse: function(a,b) {
return Math.sqrt(Math.pow(a,2)+Math.pow(b,2));
},
peek: function(x,m) {
console.log(x,m);
return x;
}
};
/* {h:,w:} */
function nut(o) {
var rv = CSG.cylinder({
start:[0,0,0],end:[0,0,o.h],
radius: o.w/2/Math.cos(Math.PI/6),
resolution: 6
});
rv.properties.axis_connector = new CSG.Connector([0,0,0],[0,0,1],[0,1,0]);
return rv;
}
var E3DV6 = {
dimensions: {
big_d: 22.3,
},
heatsink: function() {
var fn = 16;
var z=0;
var unite = [ {d:16,h:3.7},{d:12,h:6},{d:16,h:3} ].map(function(x) {
return CSG.cylinder({
start: [0,0,z], end: [0,0,z-=x.h],
radius: x.d/2, resolution: fn
});
});
unite.push(CSG.cylinder({
start:[0,0,z-=1.5], end:[0,0,z-=1],
radius: 16/2, resolution: fn
}));
for(var i=0;i<11;++i) unite.push(CSG.cylinder({
start:[0,0,z-=1.5], end:[0,0,z-=1],
radius: this.dimensions.big_d/2, resolution: fn
}));